<p><?php _e('The title field and the big Promotion Editing Area are fixed in place, but you can reposition all the other boxes using drag and drop, and can minimize or expand them by clicking the title bar of the box. Use the Screen Options tab to hide/unhide boxes (Excerpt, Slug, Author, Promotion Slider Options, Categories, Featured Image) or to choose a 1- or 2-column layout for this screen.', 'promotion-slider'); ?></p>

<p><strong><?php _e('Title', 'promotion-slider'); ?></strong> - <?php _e("Enter a title for your promotion. After you enter a title, you'll see the permalink below, which you can edit.", 'promotion-slider'); ?></p>

<p><strong><?php _e('Promotion Editor', 'promotion-slider'); ?></strong> - <?php _e('Enter the text for your promotion. There are two modes of editing: Visual and HTML. Choose the mode by clicking on the appropriate tab. Visual mode gives you a WYSIWYG editor. Click the last icon in the row to get a second row of controls. The screen icon just before that allows you to expand the edit box to full screen. The HTML mode allows you to enter raw HTML along with your promotion text. You can insert media files by clicking the icons above the promotion editor and following the directions. <em>NOTE: Any content put within the promotion editor does not appear in the slider by default.  The slider panel associated with this promotion will, by default, link to the promotion page on which this content will appear.</em>', 'promotion-slider'); ?></p>

<p><strong><?php _e('Excerpt', 'promotion-slider'); ?></strong> - <?php _e('The excerpt is used as a brief overview of the promotion content.  If you have enabled the option to display the excerpt in the slider, the text in this box will appear.  If you have left the excerpt empty, WordPress will create an excerpt using the first few lines from the content.', 'promotion-slider'); ?></p>

<p><strong><?php _e('Promotion Slider Options', 'promotion-slider'); ?></strong> - <?php _e('This is where you can change the behavior for the current promotion.  There are three sections:', 'promotion-slider'); ?></p>

<ul>
	<li><strong><?php _e('Change Linking Behaviour', 'promotion-slider'); ?></strong> - <?php _e("By default, the slider panel for this promotion will link to the promotion page, which displays the content in the promotion editor. You can choose to open the link in the same window or a new one.  Providing a destination URL will override the default link to the promotion page, allowing you to direct users to another page on your site or another site altogether.  By checking the 'Disable all links for this promotion' checkbox, no links will be created.", 'promotion-slider'); ?></li>
	<li><strong><?php _e('Insert Ad Code', 'promotion-slider'); ?></strong> - <?php _e("Occasionally, you may wish to display ads using a third party system such as Google AdSense or OpenX.  Simply paste your ad code into the text box and then check the 'Display the ad code below rather than the featured image' checkbox.  If you do not check this box, your ad code will be retained for future use and the featured image will display.", 'promotion-slider'); ?></li>
	<li><strong><?php _e('Use Content Delivery Network', 'promotion-slider'); ?></strong> - <?php _e('If you host your images on another server, you can load them into the slider by providing the URL where the image is located.', 'promotion-slider'); ?></li>
</ul>

<p><strong><?php _e('Author', 'promotion-slider'); ?></strong> - <?php _e('You can change the author for a given promotion by making a selection in the provided dropdown box.', 'promotion-slider'); ?></p>

<p><strong><?php _e('Publish', 'promotion-slider'); ?></strong> - <?php _e('You can set the terms of publishing your promotion in the Publish box. For Status, Visibility, and Publish (immediately), click on the Edit link to reveal more options. Visibility includes options for password-protecting a promotion or making it stay at the top of your promotions listing indefinitely (sticky). Publish (immediately) allows you to set a future or past date and time, so you can schedule a promotion to be published in the future or backdate a promotion.', 'promotion-slider'); ?></p>

<p><strong><?php _e('Categories', 'promotion-slider'); ?></strong> - <?php _e("You can assign your promotion to one or more categories, or can add a new category.  Categories allow you to keep your promotions organized.  You will be able to filter promotions by category in the admin area and users will be able to view a specific category of promotions by visiting the category page.  Using this plugin's shortcode, you can also create a slider that only displays promotions from a particular category.", 'promotion-slider'); ?></p>

<p><strong><?php _e('Featured Image', 'promotion-slider'); ?></strong> - <span style="color:red;"><?php _e('In order for an image to appear in the Promotion Slider, you must set a featured image!', 'promotion-slider'); ?></span> <?php _e("First, click on the 'Set Featured Image' link in the Featured Image box.  You can either upload an image from your computer or use an image from your media library.  After uploading or selecting an image, click on the 'Use as featured image' link.  Once you have set the featured image, you should see the image appear within the Featured Image box.", 'promotion-slider'); ?></p>

<?php _e('You can also create posts with the Press This bookmarklet.', 'promotion-slider'); ?>

<p><strong><?php _e('For more information:', 'promotion-slider'); ?></strong></p>

<p><a href="http://codex.wordpress.org/Posts_Add_New_SubPanel" target="_blank"><?php _e('Documentation on Writing and Editing Posts', 'promotion-slider'); ?></a></p>

<p><a href="http://wordpress.org/tags/promotion-slider" target="_blank"><?php _e('Support Forums', 'promotion-slider'); ?></a></p>